// Показ окна для логина/регистрации через соц. сеть
function popup_social_auth_window(provider) {
    var popup_window = window.open('/social_auth/login/'+provider + '/', 'social_auth', "width=550,height=400");
    window.popup_complete = function(is_ok) {
        popup_window.close();
        if (is_ok) {
            window.location.href = $('input[name=next]').val() || '/';

//            ajax('/ajax/get_user_info/').done(function(data){
//                $('#login_block').replaceWith(data.login_block);
//            }).fail(function(error){
//                    console.log(error);
//                    alert("Авторизация не удалась!");
//            });
        } else {
            alert("Авторизация не удалась!");
        }
    }
}

// Отключить от соц. сети
function social_auth_disconnect() {
    var $block = $(this).closest('li');
    var $link = $block.find('.social-auth__provider-link');
    var provider = $block.data('provider');

    ajax('/ajax/social_auth/disconnect/', {provider: provider}).done(function(data){
        $link
            .addClass('connect')
            .attr('title', 'Подключить')
            .attr('href', '#')
            .attr('target', '_blank')
            .find('.user-profile__provider-name')
                .text('');

        $block
            .detach()
            .appendTo('.user-profile__social_disconnected');

    }).fail(function(error){
        console.log(error);
        alert(error.message);
    });

    return false;
}

// Подключить соц. сеть
function social_auth_connect() {
    var $block = $(this).closest('li');
    var $link = $block.find('.social-auth__provider-link');
    var provider = $block.data('provider');

    var popup_window = window.open('/social_auth/associate/'+provider + '/', 'social_auth', "width=550,height=400");
    window.popup_complete = function(is_ok) {
        popup_window.close();
        if (is_ok) {
            ajax('/ajax/social_auth/get_connection_info/', {provider: provider}).done(function(data){
                $link
                    .removeClass('connect')
                    .attr('href', data.link || '#')
                    .attr('target', '_blank')
                    .find('.user-profile__provider-name')
                    .text(data.username);

                $block
                    .detach()
                    .appendTo('.user-profile__social_connected');

            }).fail(function(error){
                console.log(error);
                alert("Авторизация не удалась!");
            });
        } else {
            alert("Авторизация не удалась!");
        }
    };
    return false;
}