(function($){
    $.fn.customCheckbox = function(){
        return this.each(function(){
            var $this = $(this).addClass('visuallyhidden'),
                id = $this.attr('id'),
                name  = $this.attr('name'),
                control = $this.attr('type').toLowerCase(),
                $label = $this.siblings('label[for="'+ id +'"]');

            function _setValue($el, value) {
                if (value) {
                    $el.addClass('common-form__label_'+ control +'_checked');
                } else {
                    $el.removeClass('common-form__label_'+ control +'_checked');
                }
            }

            function _update() {
                if (control == 'radio') {
                    $('input[name="'+ name +'"]').each(function(){
                        var $el = $(this).siblings('label[for="'+ $(this).attr('id') +'"]');
                        _setValue($el, $(this).is(':checked'));
                    });
                } else {
                    _setValue($label, $this.is(':checked'));
                }
            }

            _update();

            $this.on('change', function(){
                _update();
            });
        });
    };
})(jQuery);
